Package org.eclipse.ui.internal

# Class EarlyStartupRunnable

java.lang.Object
org.eclipse.jface.util.SafeRunnable
org.eclipse.ui.internal.EarlyStartupRunnable

All Implemented Interfaces:
  `ISafeRunnable`

public class EarlyStartupRunnable extends SafeRunnable
A utility class used to call #earlyStartup on the proper instance for a given configuration element.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`EarlyStartupRunnable(IExtension extension)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleException(Throwable exception)`
Handles an exception thrown by this runnable's `ISafeRunnable.run()` method.
`void`
`run()`
Runs this runnable.

### Methods inherited from class org.eclipse.jface.util.SafeRunnable

`getIgnoreErrors, getIgnoreErrors, getRunner, run, setIgnoreErrors, setRunner`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EarlyStartupRunnable

public EarlyStartupRunnable(IExtension extension)

Parameters:
  `extension` - must not be null

## Method Details

### run

public void run() throws Exception
Description copied from interface: `ISafeRunnable`
Runs this runnable. Any exceptions thrown from this method will be logged by the caller and passed to this runnable's `ISafeRunnable.handleException(java.lang.Throwable)` method.

Throws:
  `Exception` - if a problem occurred while running this method
See Also:
  - `SafeRunner.run(ISafeRunnable)`

### handleException

public void handleException(Throwable exception)
Description copied from interface: `ISafeRunnable`
Handles an exception thrown by this runnable's `ISafeRunnable.run()` method. The processing done here should be specific to the particular use case for this runnable. Generalized exception processing, including logging in the Platform's log, is done by the `SafeRunner`.

All exceptions from the `ISafeRunnable.run()` method are passed to this method, along with certain `Error` types that are typically caused by programming errors in the untrusted code being run.

Specified by:
  `handleException` in interface `ISafeRunnable`
Overrides:
  `handleException` in class `SafeRunnable`
Parameters:
  `exception` - an exception which occurred during processing the body of this runnable (i.e., in `ISafeRunnable.run()`)
See Also:
  - `SafeRunner.run(ISafeRunnable)`